Tryton - Issues

 

Issue8231

Title richtext widget does not support color assignement
Priority bug Status resolved
Superseder Nosy List ced, nicoe, reviewbot, roundup-bot
Type crash Components tryton
Assigned To ced Keywords GTK3, review
Reviews 259261002,289041002
View: 259261002, 289041002

Created on 2019-03-26.13:58:00 by nicoe, last changed by ced.

Messages
review289041002 updated at https://codereview.tryton.org/289041002/#ps262951002
msg55267 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-02-07.17:09:01
I re-open this one because the problem exists on 5.0.
Here is review289041002 which solves the problem without changing the widget.
New changeset bb8faa0cfc18 by Cédric Krier in branch 'default':
Replace ColorSelectionDialog by ColorChooserDialog
https://hg.tryton.org/tryton-env/rev/bb8faa0cfc18
New changeset 6390c8999218 by Cédric Krier in branch 'default':
Replace ColorSelectionDialog by ColorChooserDialog
https://hg.tryton.org/tryton/rev/6390c8999218
review259261002 updated at https://codereview.tryton.org/259261002/#ps257211002
msg48021 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2019-03-26.13:58:00
Whe setting the color of some part of the text I receive the following error:

ERROR:tryton.common.common:  File "/home/nicoe/projets/tryton/tryton-env/listbox/tryton/tryton/gui/window/view_form/view/form_gtk/richtextbox.py", line 340, in toggle_color
    tag = register_foreground(text_buffer, color)
  File "/home/nicoe/projets/tryton/tryton-env/listbox/tryton/tryton/common/htmltextbuffer.py", line 320, in register_foreground
    tag = text_buffer.create_tag(name, foreground_rgba=color)
  File "/usr/lib/python3/dist-packages/gi/overrides/Gtk.py", line 752, in create_tag
    tag = Gtk.TextTag(name=tag_name, **properties)

could not convert value for property `foreground_rgba' from Color to GdkRGBA
History
Date User Action Args
2020-02-17 23:27:00cedsetstatus: testing -> resolved
2020-02-07 17:27:06reviewbotsetmessages: + msg55270
2020-02-07 17:09:02cedsetstatus: resolved -> testing
reviews: 259261002 -> 259261002,289041002
messages: + msg55267
2019-04-02 17:57:23roundup-botsetmessages: + msg48334
2019-04-02 17:57:21roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg48333
2019-03-26 16:16:58reviewbotsetnosy: + reviewbot
messages: + msg48024
2019-03-26 15:41:52cedsetstatus: in-progress -> testing
reviews: 259261002
keyword: + review
2019-03-26 15:13:09cedsetstatus: unread -> in-progress
assignedto: ced
keyword: + GTK3
nosy: + ced
2019-03-26 15:13:01cedsettitle: richtext wideget does not support color assignement -> richtext widget does not support color assignement
2019-03-26 13:58:00nicoecreate

Showing 10 items. Show all history (warning: this could be VERY long)